test_that("augmented_pooled_analysis works with sample data", {

  sample_file <- system.file(
    "shinyapp",
    "sample_data.csv",
    package = "AugmentedPooledRCBD"
  )

  expect_true(file.exists(sample_file))

  data <- read.csv(sample_file)

  res <- AugmentedPooledRCBD:::augmented_pooled_analysis(
    data = data,
    trait = "trait4",
    checks = c("1", "2", "3", "4", "5"),
    env = "season",
    blk = "block",
    trt = "treatment"
  )

  expect_type(res, "list")

})
